/*
     $Revision$
     $Id$

     File:        bez.js
*/

function printBadge(pbez_key)
{    // Printen van de bezoekers badge
    window.open("bez_xml.asp?badge=1&bez_key=" + pbez_key, "", "resizable=0,scrollbars=0,menubar=0,width=500,height=400");
}

function bezPoolCallback(data, text)
{
  FcltMgr.openDetail("appl/bez/bez_afspraak.asp?urole=bo&res_key=" + data.res_key, L("lcl_add"));
}

function process_freeprk_info(data, textStatus)
{
  if (textStatus == "success")
  {
    if (data)
    {
      if (data.prk_vrij > 0)
      {
        $("#bezPrkFree").text("[" + data.prk_vrij + L("lcl_bez_vrije_plaatsen") + "]");
      }
      else
      {
        if (data.prk_array && data.prk_array.length == 0)
          // Geen parkeerterrein aanwezig
          $("#bezPrkFree").text("[" + L("lcl_bez_geen_aanwezig") + "]");
        else
          // Alle aanwezige parkeerterrein zijn bezet
          $("#bezPrkFree").text("[" + L("lcl_bez_vol") + "]");
      }

      if (data.prk_array && data.prk_array.length == 1)
      { // Checkboxen lopen synchroon met suggestboxen en zijn altijd goed gezet
        // Checkboxen tonen voor parkeerterrein
        $('div[name^="selectgebterdiv"]').css("display", "none");
        $('div[name^="selectprkdiv"]').css("display", "block");
        $('input[name^="prkselect"]').val("C");
        $("#prktype").val("C"); // Checkbox voor parkeerterrein
      }
      else if (data.prk_array && data.prk_array.length > 1)
      { // Gebruik data om de suggest velden bij parkeerterrein te updaten.
        var next_vis = $("#next_vis").val();
        for (var i = 1; i < next_vis; i++)
        {
          //if ($("#gebouwkey" + i) && $("#gebouwkey" + i).val() > 0)
          if ($("#prk" + i) && $("#prk" + i).prop("checked"))
          {
            // Vindt parkeerterrein voor nieuwe locatie (loc_key) of vernieuw de text van de geselecteerde parkeerterrein
            var usegebter = 0; // Selecteer standaard de eerste ook al is die vol
            for (var j = 0; j < data.prk_array.length; j++)
            {
              if (data.prk_array[j].key == $("#gebouwkey" + i).val())
              {
                usegebter = j; // Selecteer dezelfde parkeerterrein
                break;
              }
            }

            // Selecteer de eerste ook al is die vol
            // setValue(key, txt, doonChange, checkExist, extraParam, lastTry)
            psObject[i].sgBld.setValue(data.prk_array[usegebter].key, data.prk_array[usegebter].naam, false, false, null, true);
          }
        }
        // Suggestboxen tonen voor parkeerterrein
        $('div[name^="selectprkdiv"]').css("display", "none");
        $('div[name^="selectgebterdiv"]').css("display", "block");
        $('input[name^="prkselect"]').val("S");
        $("#prktype").val("S"); // Suggestbox voor parkeerterrein
      }
      else
      {
        // Geen vinkboxen en suggestboxen tonen voor parkeerterrein
        $('div[name^="selectprkdiv"]').css("display", "none");
        $('div[name^="selectgebterdiv"]').css("display", "none");
        $('input[name^="prkselect"]').val("");
        $("#prktype").val("N"); // Geen parkeerplaatsen/parkeerterrein reserveren
      }
    }
  }
  else
    FcltMgr.alert("process_freeprk_info: " + textStatus);
}

function get_freeprk_info()
{
  if (vis_parking_key != -1 && canWritePrk)
  { // parkeerterrein kolom is zichtbaar
    var date_from = parseInt($("#date_from").val(), 10);
    var date_to = parseInt($("#date_to").val(), 10);

    if (date_from && date_to)
      // Bepaal aantal vrije parkeerterrein
      $.getJSON("get_bez_info_ajax.asp",
                { req_info: "bez_freeprk",
                  loc_key: $("#locatiekey").val(),
                  date_from: date_from,
                  date_to: date_to
                },
                process_freeprk_info);
    else
      $("#bezPrkFree").text("");
  }
}